添加入库单
POST
/erp/sc/routing/storage/storage/orderAdd支持添加本地仓库入库单,并增加入库仓库库存
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/storage/orderAdd | HTTPS | POST | 1 |
请求参数
widstringsys_widinteger必填typeinteger必填supplier_idstringsys_supplier_idintegerorder_snstringis_shelfintegerremarkstringship_feestringother_feestringfee_part_typeintegerinbound_timestringinbound_idempotent_codestringproduct_listarray<object>必填隐藏子属性
skustring必填good_numinteger必填bad_numinteger必填pricestring必填seller_idinteger必填fnskustring必填good_whb_codestringbad_whb_codestring请求示例
{
"wid": "CUSTOM-ID-1",
"sys_wid": 1,
"type": 1,
"supplier_id": "S1929",
"sys_supplier_id": 125,
"order_sn": "PO220118001",
"is_shelf": 1,
"remark": "备注",
"ship_fee": "1.22",
"other_fee": "5",
"fee_part_type": 2,
"inbound_time": "2022-12-02",
"product_list": [
{
"sku": "MDR-ZX110",
"good_num": 10,
"bad_num": 0,
"price": "8.66",
"seller_id": 21,
"fnsku": "FN206265A",
"good_whb_code":"A-1-1",
"bad_whb_code":"次品暂存",
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_sn_arrarray<any>必填order_snstring必填附加说明
针对采购单快捷入库【即入参order_sn传入采购单号】,以下字段会直接引用传入的采购单号对应的相关数据: 1. type 单据类型【自动根据采购入库类型变更】; 2. remark 单据备注; 3. fee_part_type 费用分配方式; 4. price 单价【单价 = 采购单单价 × 汇率】;